
Jupiter - Błąd #1938
można edytować i zapisać dokument który został wcześniej usunięty
2018-02-06 13:03 - Łukasz Waśkiewicz

Status: Rozwiązany Start date: 2018-02-06
Priority: Normalny Due date:
Assignee: Jarosław Bąbel % Done: 100%
Category: ui Estimated time: 0.00 hour
Target version: 0.3
Developer: Łukasz Waśkiewicz Rewizja zgłoszenia GIT:d2afb056
Tester: Jarosław Bąbel Rewizja rozwiązania GIT:c15a630
Występuje w wersji: 0.3 Rewizja testów GIT:
Waga błędu: Mała
Description

    1. wejsć w edycje dokumentu
    2. skasowac dokument
    3. zmienić coś
    4. zapisać

wydzielone z #1898

Trochę zaskakujące jest to, że ten dokument można nadal edytować. Po zapisaniu pojawia się informacja, że "Dokument
usunięty", ale zmiany są zapisane.

Nie umiem powiedzieć, czy to źle, czy dobrze.

Czy zapisane zmiany publikują się do INFONY?

Associated revisions
Revision 8289d887 - 2018-02-27 13:13 - Łukasz Waśkiewicz

refs #1938 jeśli dokument jest usunięty , ukrywam przyciski + wyświetlam
deleteSnackbar

History
#1 - 2018-02-23 14:40 - Łukasz Waśkiewicz
- Status changed from Nowy to Odpowiedź
- Assignee changed from Łukasz Waśkiewicz to Jarosław Bąbel
- Rewizja rozwiązania GIT set to c15a630

kojarzę ze patrzyłem i problem występował ale odłożyłem go na później bo chyba było inne zadanie które mogło rozwiązać to
teraz spojrzałem na wersji c15a630  i problem już chyba nie występuje (sprawdziłem BASIC i FULL)

#2 - 2018-02-27 10:19 - Jarosław Bąbel
- Assignee changed from Jarosław Bąbel to Łukasz Waśkiewicz
Mając link do usuniętego dokumentu (np. w importach na liście dokumentów) można wejść w edycję i zmieniać/zapisywać usunięty dokument. Po
zapisaniu taki dokument może pojawić się ponownie w drzewie (nie udało mi się stworzyć jednego scenariusza).

#3 - 2018-02-27 13:17 - Łukasz Waśkiewicz
- Status changed from Odpowiedź to Rozwiązany
- Assignee changed from Łukasz Waśkiewicz to Jarosław Bąbel
- % Done changed from 0 to 100

jeśli dokument jest usunięty, ukrywam przyciski + wyświetlam deleteSnackbar
